Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.awt.event
Interface ContainerListener

All Superinterfaces:
  EventListener

All Known Implementing Classes:
  AWTEventMulticaster, Container.AccessibleAWTContainer.AccessibleContainerHandler, ContainerAdapter, JComponent.AccessibleJComponent.AccessibleContainerHandler, BasicToolBarUI.ToolBarContListener, MetalToolBarUI.MetalContainerListener

public interface ContainerListener
extends EventListener

The listener interface for receiving container events. The class that is interested in processing a container event either implements this interface (and all the methods it contains) or extends the abstract `ContainerAdapter` class (overriding only the methods of interest). The listener object created from that class is then registered with a component using the component's `addContainerListener` method. When the container's contents change because a component has been added or removed, the relevant method in the listener object is invoked, and the `ContainerEvent` is passed to it.

Container events are provided for notification purposes ONLY; The AWT will automatically handle add and remove operations internally so the program works properly regardless of whether the program registers a `ComponentListener` or not.

Since:
  1.1
See Also:
  `ContainerAdapter`, `ContainerEvent`, Tutorial: Writing a Container Listener, Reference: The Java Class Libraries (update file)

Method Summary
`void` | `componentAdded(ContainerEvent e)` Invoked when a component has been added to the container.
`void` | `componentRemoved(ContainerEvent e)` Invoked when a component has been removed from the container.

Method Detail

### componentAdded

    public void componentAdded(ContainerEvent e)

  Invoked when a component has been added to the container.

### componentRemoved

    public void componentRemoved(ContainerEvent e)

  Invoked when a component has been removed from the container.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2001 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.